ChangeSet 1.985.10.14, 2003/03/25 13:30:08-08:00, oliver@neukum.name

[PATCH] USB: storage: add logging to reset

  - add logging to reset


 drivers/usb/storage/scsiglue.c |   13 ++++---------
 1 files changed, 4 insertions(+), 9 deletions(-)


diff -Nru a/drivers/usb/storage/scsiglue.c b/drivers/usb/storage/scsiglue.c
--- a/drivers/usb/storage/scsiglue.c	Tue Mar 25 16:45:22 2003
+++ b/drivers/usb/storage/scsiglue.c	Tue Mar 25 16:45:22 2003
@@ -209,17 +209,11 @@
 	return result;
 }
 
-/* This resets the device port, and simulates the device
- * disconnect/reconnect for all drivers which have claimed
- * interfaces, including ourself. */
+/* This resets the device port */
+/* It refuses to work if there's more than one interface in
+   this device, so that other users are not affected. */
 /* This is always called with scsi_lock(srb->host) held */
 
-/* FIXME: This needs to be re-examined in the face of the new
- * hotplug system -- this will implicitly cause a detach/reattach of
- * usb-storage, which is not what we want now.
- *
- * Can we just skip over usb-storage in the while loop?
- */
 static int usb_storage_bus_reset( Scsi_Cmnd *srb )
 {
 	struct us_data *us;
@@ -244,6 +238,7 @@
 		US_DEBUGP("usb_reset_device returns %d\n", result);
 	} else {
 		result = -EBUSY;
+		US_DEBUGP("cannot reset a multiinterface device. failing to reset.\n");
 	}
 
 	US_DEBUGP("bus_reset() complete\n");
